import { Component, OnInit, Output, EventEmitter } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ExerciseService } from 'app/exercise/service/exercise.service'
import { Exercise, searchResultToExercise } from 'app/shared/model/exercise.model';
import { ExerciseDetailsComponent } from 'app/exercise/exercise-details/exercise-details.component'

@Component({
  selector: 'jhi-exercisePage',
  styleUrls: ['./exercise.component.scss'],
  templateUrl: './exercise.component.html',
})
export class ExerciseComponent implements OnInit {
	exerciseId = '';
	exercise?: Exercise;

  @Output() exerciseSelectionEvent = new EventEmitter<Exercise>();

  constructor(private activatedRoute: ActivatedRoute, private exerciseService: ExerciseService) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe( ({pagePath})  => {
      this.exerciseId = pagePath;
      this.exerciseService.loadExercise(this.exerciseId).subscribe(
    		  searchResult => {
    		      this.exercise = searchResultToExercise(searchResult);
    		      this.exercise = this.exerciseService.populateExerciseWithData(this.exercise);
    		      this.exerciseSelectionEvent.emit(this.exercise);
    		      // this.modalService.open(ExerciseDetailsComponent)
    	  })
      
    });
  }
}
